API ReferenceArtifacts
Download an artifact attached to a message in a magickspace (end-user JWT)
Authorization
EndUserAuth AuthorizationBearer <token>
End-user JWT minted via POST /v1/end-users/tokens, sent as Authorization: Bearer <token>.
In: header
Path Parameters
magickspace_id*string
id*string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/end-user/magickspaces/string/artifacts/string/download"{ "content_type": "string", "download_url": "string", "expires_at": 0, "file_name": "string", "id": "string"}{ "error": { "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "request_id": "string", "errors": [ { "field": "string", "message": "string" } ] }}{ "error": { "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "request_id": "string", "errors": [ { "field": "string", "message": "string" } ] }}